<div>
  <h1>All Users</h1>
  <table *ngIf="(users$ | async)?.length > 0" class="list">
    <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Age</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let u of users$|async">
        <td>{{u.id}}</td>
        <td>{{u.name}}</td>
        <td>{{u.age | number:'1.0-0'}}</td>
        <td>
          <button type="button" (click)="edit(u)">EDIT</button>
        </td>
        <td>
          <button type="button" (click)="delete(u)">DELETE</button>
        </td>
      </tr>
    </tbody>
  </table>
</div>

<div>
  <h1>One User</h1>
  <pre *ngIf="(user$ | async) as usr">
    ID  : {{usr.id}}
    Name: {{usr.name}}
    Age : {{usr.age}}
  </pre>
</div>

<div>
  <h1>Edit User</h1>
  <button type="button" (click)="create()">CREATE</button>
  <table *ngIf="user">
    <tr>
      <th>Name</th>
      <td><input type="text" [(ngModel)]="user.name"/></td>
    </tr>
    <tr>
      <th>Age</th>
      <td><input type="number" [(ngModel)]="user.age" min="1" max="80"/></td>
    </tr>
    <tr>
      <th></th>
      <td>
        <button type="button" (click)="save()">SAVE</button>
        <button type="button" (click)="user = undefined" style="margin-left: 5px;">Cancel</button>
      </td>
    </tr>
  </table>
</div>

